Package org.apache.sysds.runtime.io

# Class MatrixReaderFactory

java.lang.Object
org.apache.sysds.runtime.io.MatrixReaderFactory

public class MatrixReaderFactory extends Object

## Constructor Summary

Constructors
Constructor
Description
`MatrixReaderFactory()`

## Method Summary

Modifier and Type
Method
Description
`static MatrixReader`
`createMatrixReader(Types.FileFormat fmt)`
`static MatrixReader`
`createMatrixReader(ReadProperties props)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MatrixReaderFactory

public MatrixReaderFactory()

## Method Details

### createMatrixReader

public static MatrixReader createMatrixReader(Types.FileFormat fmt)

### createMatrixReader

public static MatrixReader createMatrixReader(ReadProperties props)